Acme.Serve

## Class Serve.ServeOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - javax.servlet.ServletOutputStream
    - - Acme.Serve.Serve.ServeOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable
  Enclosing class:
    Serve

      public static class Serve.ServeOutputStream
      extends javax.servlet.ServletOutputStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serve.ServeOutputStream(OutputStream out, Serve.ServeConnection conn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `protected int` | `getBufferSize()`
    `void` | `print(String s)`
    `protected void` | `reset()`
    `protected void` | `setBufferSize(int size)`
    `protected void` | `setChunked(boolean set)`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class javax.servlet.ServletOutputStream

      `isReady, print, print, print, print, print, print, println, println, println, println, println, println, println, println, setWriteListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serve.ServeOutputStream

          public Serve.ServeOutputStream(OutputStream out,
                                 Serve.ServeConnection conn)

  - ### Method Detail

    - #### reset

          protected void reset()

    - #### getBufferSize

          protected int getBufferSize()

    - #### setBufferSize

          protected void setBufferSize(int size)

    - #### setChunked

          protected void setChunked(boolean set)

    - #### print

          public void print(String s)
                     throws IOException

      Overrides:
        `print` in class `javax.servlet.ServletOutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.